gtkdataboxmm 0.9.4

- Main Page
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions | List of all members
GDatabox::Ruler Class Reference

`#include <gtkdataboxmm/ruler.h>`

Inheritance diagram for GDatabox::Ruler:
[legend]

## Public Member Functions

virtual | ~Ruler ()
GtkDataboxRuler* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkDataboxRuler* | gobj () const
| Provides access to the underlying C GtkObject.
| Ruler ()

## Related Functions

(Note that these are not member functions.)
GDatabox::Ruler* | wrap (GtkDataboxRuler* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual GDatabox::Ruler::~Ruler | ( |  | ) |

virtual

GDatabox::Ruler::Ruler | ( |  | ) |

## Member Function Documentation

GtkDataboxRuler* GDatabox::Ruler::gobj | ( |  | ) |

inline

Provides access to the underlying C GtkObject.

const GtkDataboxRuler* GDatabox::Ruler::gobj | ( |  | ) | const

inline

Provides access to the underlying C GtkObject.

## Friends And Related Function Documentation

GDatabox::Ruler* wrap | ( | GtkDataboxRuler * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkdataboxmm/ruler.h